Subject: RE: draft-ietf-mpls-tc-mib-06a.txt

From: [email-masked]
Date: Wed, 1 Oct 2003 10:34:15 +0100

Bert Wijnen wrote 01 October 2003 09:30
> 
> > >> >> 	The reason why the multiple fields
> > >> >> were left in place was because someone (Arun
> > >> >> I think) pointed out that you may want to
> > >> >> specify a hop address AND an AS number for
> > >> >> the case where you want to get to a specific
> > >> >> AS *through* a specific HOP.
> > >> >> 
> > >> >
> > >> >a TeHopAddress can contain an AS number.
> > >> >So if you have a separate field for AS number what would then
> > >> >be in the TeHopAddress??? And why would you need two addesses
> > >> >to get to one place? SOrry I am confused here
> > >> 
> > >> 	Because a hop can be identified by BOTH an
> > >> AS number and an IP address. Suppose you want to
> > >> choose an AS via a particular interface on an
> > >> LSR?
> > >> 
> > >And an IP address on another interface?
> > >Maybe that would mean two entries in the table??
> > 
> > 	Perhaps, but the example that was given
> > for needing both was the one I gave above. No
> > one has asked for what you suppose above.
> > 
> 
> Tom, maybe you can be a bit more elaborate (and not assume that we
> are all MPLS and TE Tunneling experts). PLEASE explain how a system
> would use an entry that has both an AS number and another TeHopAddress
> in an entry in the table. 
> 
> And if you feel that two columns are needed, then I would ask, why not
> 3 columns or maybe 4 columns. If you claim that one entry needs to
> identify the next TeHop with both an IP address AND a AS number,
> would one never want to be able to identify it by 
> IP address (maybe an IPv4 AND and IPv6 address?), ASnumber, 
> unnumbered, lspid ??? In other words, why do you have an arbitrary
> set there.
> 
> Even if you did want it to be identifyable by 2 or 3 address types,
> then I would create multiple "discriminated unions" by having multiple
> pairs of TeHopAddressType/TeHopAddress columns.
> 
> Bert

NH=> Don't all MPLS tunnels need a globally unique address which is
independent of how they are instantiated?

regards, Neil